
/* VIEWS */

#login, #metal, #addjobs, #time, #selection {
    display: none;
}
#login.show, #metal.show, #addjobs.show, #time.show, #selection.show {
    display: block;
}
#back-button {
    cursor: pointer;
    color: #af0f32;
    position: absolute;
    top: 12px;
    left: 12px;
}
#timetable-button {
    cursor: pointer;
    color: #af0f32;
    position: absolute;
    top: 12px;
    right: 12px;
}
.alert {
    position: absolute;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    max-width: 300px;
    bottom: 30px;
}
.hidden {
    display: none;
}
.hidden-alert {
    opacity: 0;
}
/* LOGIN */
form {
    margin-top: 50px;
}

#logInBtn {
    margin-top: 10px;
    text-transform: uppercase;
    font-weight: 600;
}

/* METAL */
.metal-label {
    width: 100%;
    margin-top: 5px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}
.steelimage {
    border: 2px solid white;
    width: 45%;
    height: 45%;
    max-width: 350px;
    max-height: 350px;
    border-radius: 50%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 5px;
}

/* JOBS */
#addjobs label {
    font-size: 16px;
}
.width-label {
    padding-top: 3px;
    width: 29%;
}
.width-select {
    margin-bottom: 10px;
    width: 70%;
}
.dn-wrapper {
    display: inline-flex;
    margin: auto;
    padding-right: 10px;
}
.dn-label {
    margin-top: 25px;
    font-size: 24px;
    margin-left: 10px;
    font-weight: 600;
    color: white;
    text-transform: uppercase;
}

#addJobBtn {
    text-transform: uppercase;
    font-weight: 600;
    margin-left: 20px;
    margin-top: 25px;
    height: 38px;
}
#sendJobBtn {
    text-transform: uppercase;
    font-weight: 600;
    margin: auto;
    margin-top: 5px;
    height: 38px;
    border-radius: 7px;
    padding-left: 40px;
    padding-right: 40px;
}
.keActionBtn {
    text-transform: uppercase;
    font-weight: 600;
    margin: auto;
    margin-top: 8px;
    font-size: 24px;
    border-radius: 7px;
    padding-left: 40px;
    padding-right: 40px;
}
/* JOBS CONTAINER */
.job-container-bigger {
    max-height: calc(100vh - 310px);
    overflow-y: scroll;
}
.job-container-smaller {
    max-height: calc(100vh - 350px);
    overflow-y: scroll;
}

#jobItemContainerHeader {
    width: 100%;
    color: white;
    font-weight: 600;
}
.truncat {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis; 
}
.worksite-col { 
    display: inline-block;
    /*width: 27%;*/
}
.worksite-col-small {
    display: inline-block;
    width: 27%;
}
.worksite-col-large {
    display: inline-block;
    width: 54%;
}
.worker-col {
    display: inline-block;
    width: 27%;
}
.dn-col {
    text-align: center;
    display: inline-block;
    width: 14%;
}
.amount-col {
    text-align: center;
    display: inline-block;
    width: 16%;
}
.remove-col {
    cursor: pointer;
    float: right;
    width: 6%;
}
.dn-header, .amount-header {
    padding-right: 10px;
}
.job-item {
    color: white;
}


hr.style-four {
    margin: 5px 0;
    border: 0;
    height: 0;
    border-top: 1px solid rgba(190, 60, 20, 0.2);
    border-bottom: 1px solid rgba(255, 255, 255, 0.6);
}

/* SCROLLABLE */

#dn-scrollable {
    margin-left: 15px;
}
#amount-scrollable {
    margin-left: 5px;
}
.middle-overlay {
    height: 30px;
    position: fixed;
    width: 50px;
    padding: 0 10px;
    margin-top: 30px;
    border: 2px solid white;
    pointer-events: none;
}
.top-overlay {
    height: 30px;
    position: fixed;
    background: linear-gradient(#af0f32, rgba(175,50,15,0.2));
    width: 50px;
    pointer-events: none;
}
.bottom-overlay {
    height: 30px;
    position: fixed;
    background: linear-gradient(rgba(175,50,15,0.2), #af0f32);
    width: 50px;
    margin-top: 60px;
    pointer-events: none;
}
.scroll-item {
    font-size: 19px;
    text-align: center;
    font-weight: 600;
    color: white;
    height: 30px;
    width: 50px;
}
.scroll-input-container::-webkit-scrollbar {
    width: 1px!important;
}
.scroll-input-container {
    width: 50px;
    max-height: 90px;
    overflow-y: scroll;
    padding: 0 10px;
    box-sizing: content-box;
}

/* index.html and misc */

h1 {
    color: #313131;
    background-image: url('./keinfra_logo.jpg');
    background: white;
    text-align: center;
    padding-bottom: 5px;
}
img {
    width: 200px;
    height: 57px;
}
body {
    background: #af0f32;
}
label {
    font-size: 18px;
    font-weight: 700;
    color: white;
    text-transform: uppercase;
}
.btn-primary {
    background: white;
    border-radius: 15px;
    border-color: #AF0EF5;
    color: #af0f32;
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
    border: 0px;
}
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle {
    background: white;
    border-radius: 15px;
    border-color: #AF0EF5;
    color: #af0f32;
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
    border: 0px;
}
.btn-primary:hover {
    background: white;
    border-radius: 15px;
    border-color: #AF0EF5;
    color: #af0f32;
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
    border: 0px;
    box-shadow: 0 0 0 0.2rem rgba(31,31,31,.2);
}
.btn-primary:not(:disabled):not(.disabled).active:focus, .btn-primary:not(:disabled):not(.disabled):active:focus, .show>.btn-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.2rem rgba(31,31,31,.2);
}

/* NO DISPLAY */
.no-display {
    display: none;
    width: 0;
}
.fa.no-display {
    display: none;
    width: 0;
}

/* 2020 design added */
.selection-label {
    text-align: center;
    width: 100%;
    font-size: 40px;
    height: 100px;
    line-height: 100px;
    border-radius: 15px;
    border: 2px solid white;
    background: #900f32;
    margin-top: 25px;
    box-shadow: 4px 5px rgba(0,0,0,0.2);
}
#workTimerSite {
    color: white;
    margin: auto;
    font-size: 32px;
}
#workTimer {
    line-height: 80px;
    font-size: 70px;
    margin: auto;
    color: white;
}

/* Timetable page */
body.timetable {
    background: white;
    background-image: linear-gradient(to bottom right, rgba(78, 133, 191, 0.2), rgba(83, 177, 176, 0.2));
}

.sticky-header {
    z-index: 1;
    width: 100%;
    top: 0;
    background: white;
    background-image: linear-gradient(to bottom right, rgba(78, 133, 191, 0.2), rgba(83, 177, 176, 0.2));
}

/* Mobile enchancements */
@media screen and (min-width: 600px) {
    .sticky-header {
        position: sticky;
    }
}
.page-card {
    padding: 20px;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0,0,0,.125);
    border-radius: .25rem;
}

.time-label {
    font-size: 16px;
    text-transform: none;
    font-weight: 400;
    color: #aaa;
}
#search-controls, #time-table {
    margin-top: 15px;
    padding-left: 25px;
    padding-right: 25px;
}
.dropdown-container {
    margin-bottom: 10px;
    display: inline-block;
}
.search-dropdown {
    margin-right: 20px;
    width: 180px;
}

/* table */
table.dataTable {
    color: #555;
}
table thead th, table thead td {
    border-bottom: 4px double #e3e3e3;
}
table tfoot th, table.dataTable tfoot td {
    border-top: 4px double #e3e3e3;
}
table tbody tr {
    border-bottom: 1px solid #e3e3e3;
}
table tbody tr td:first-child {
    border-left: 1px solid #e3e3e3;
}
table tbody tr td:last-child {
    border-right: 1px solid #e3e3e3;
}
th {
    padding: 10px 6px;
    vertical-align: middle;
}
td {
    padding: 10px 6px;
    vertical-align: middle;
}

.table-button {
    padding: .1rem .3rem;
}

.table-time-label {
    padding: 2px 8px;
    border-radius: 4px;
    color: white;
    display: inline-block;
}

.table-time-label-start {
    background: green;
}
.table-time-label-end {
    background: crimson;
}

.orange-button {
    background: #e67e00;
    border-color: #cc7000;
}
.row-selection .fa {
    width: 15px;
}
.row-selection .fa-check-square-o {
    display: none!important;
}
.row-selection.selected .fa-check-square-o {
    display: inline-block!important;
}
.row-selection.selected .fa-square-o {
    display: none!important;
}

.modal-overlay {
    z-index: 1;
    padding-top: 120px;
    top: 0;
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.2);
}
.modal-body {
    width: 600px;
    background: white;
    border-radius: 5px;
    margin: auto;
}

.timetable .row.actual-row {
    margin-right: 0;
    margin-left: 0;
    padding-left: 15px!important;
    padding-right: 15px!important;
}



#notification {
    z-index: 9999;
    border-radius: 5px;
    position: fixed;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    max-width: 500px;
    bottom: 30px;
    background: rgba(47,67,91,0.88);
    color: white;
    font-size: 22px;
    font-weight: bold;
    padding: 10px;
}
#notification.hidden-alert {
    opacity: 0;
}

.chosen-container.chosen-container-multi {
    width: 350px!important;
    margin-right: 10px;
}
/* Mobile enchancements */
@media screen and (max-width: 600px) {
    .timetable {
        font-size: 12px;
    }
    .timetable button.btn {
        font-size: 12px;
    }
    .timetable label.time-label {
        font-size: 12px;
    }
    .chosen-container.chosen-container-multi {
        width: 150px!important;
    }
}